Loading...
Searching...
No Matches
msg_content_disposition_s Struct Reference
MIME Headers » Content-Disposition Header

Structure for Content-Disposition header. More...

`#include <msg_mime.h>`

Collaboration diagram for msg_content_disposition_s:
[legend]

## Data Fields

msg_common_t | cd_common [1]
| Common fragment info.
msg_error_t * | cd_next
| Link to next (dummy).
char const * | cd_type
| Disposition type.
msg_param_t const * | cd_params
| List of parameters.
char const * | cd_handling
| Value of handling parameter.
unsigned | cd_required:1
| True if handling=required.
unsigned | cd_optional:1
| True if handling=optional.

## Detailed Description

Structure for Content-Disposition header.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.